Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List order history

Lists audit history entries for an order with pagination.

GET/api/v2/{team_slug}/{app_slug}/orders/{order_id}/history
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
order_idstring<uuid>required
Query parameters
pageinteger
per-pageinteger
Responses
200

OK

dataOrderHistory[]required
Show properties
Array of OrderHistory
order_idUUIDrequired
change_typestringrequired
from_statusstring | null
to_statusstring | null
happened_atstring<date-time>required
total_pagesintegerrequired
total_itemsintegerrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
404

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/orders/497f6eca-6276-4993-bfeb-53cbbbba6f08/history' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "order_id": "93101167-9065-4b9c-b98b-5d789a3ed9fe",
      "change_type": "string",
      "from_status": "string",
      "to_status": "string",
      "happened_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total_pages": 0,
  "total_items": 0
}